POST /v1/data/crypto/projects/run
Pricing: $0.04 per project ($36.00 per 1,000).
Request
Send the inputs underparams. Only the keys below are accepted; any other key returns 422 invalid_params.
Example
curl -X POST "https://api.mindcase.co/v1/data/crypto/projects/run?wait=true" \
-H "Authorization: Bearer $MINDCASE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"params": {
"project": [
"uniswap",
"arbitrum",
"jupiter"
]
}
}'
import os, requests
r = requests.post(
"https://api.mindcase.co/v1/data/crypto/projects/run",
params={"wait": "true"},
headers={"Authorization": f"Bearer {os.environ['MINDCASE_API_KEY']}"},
json={"params": {
"project": [
"uniswap",
"arbitrum",
"jupiter"
]
}},
)
job = r.json()
rows = job.get("data", []) # if job["status"] == "running", poll /v1/jobs/{job_id}/results
const r = await fetch("https://api.mindcase.co/v1/data/crypto/projects/run?wait=true", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.MINDCASE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ params: {
"project": [
"uniswap",
"arbitrum",
"jupiter"
]
} }),
});
const job = await r.json();
const rows = job.data ?? []; // if job.status === "running", poll /v1/jobs/{job_id}/results
Response fields
Each row indata is one project, keyed by these fields.
| Field | Name | Type |
|---|---|---|
projectId | Project ID | text |
name | Name | text |
slug | Slug | text |
tokenSymbol | Token Symbol | text |
website | Website | url |
description | Description | text |
tags | Tags | array |
chains | Chains | array |
xHandle | X Handle | text |
xFollowers | X Followers | integer |
tgeStatus | TGE Status | text |
exchanges | Exchanges | array |
priceUsd | Price (USD) | currency |
marketCapUsd | Market Cap (USD) | currency |
fdvUsd | FDV (USD) | currency |
circulatingSupply | Circulating Supply | number |
totalSupply | Total Supply | number |
totalRaisedUsd | Total Raised (USD) | currency |
fundingRounds | Funding Rounds | object_array |
contracts | Contracts | object_array |
query | Query | text |
Example response
Abridged: long text and lists are shortened.{
"job_id": "7f3a1c2e-0b9d-4c55-9a51-3f2e8d1b6a40",
"agent": "crypto/projects",
"status": "completed",
"row_count": 1,
"truncated": false,
"data": [
{
"circulatingSupply": 609649895.8798289,
"projectId": "e78c164d-9beb-4dc1-bbc7-1daf4502a373",
"xHandle": "Uniswap",
"exchanges": [
"BINANCE",
"UPBIT"
],
"name": "Uniswap",
"fdvUsd": 6147924538,
"tgeStatus": "post",
"description": "Ethereum-based decentralized exchange protocol with UNI governance token",
"tokenSymbol": "UNI",
"totalSupply": 886160418.7861971,
"slug": "uniswap",
"marketCapUsd": 4229574550,
"tags": [
"Developer Tooling",
"DEX & AMM"
],
"fundingRounds": [
{
"roundName": "Strategic",
"amount": null,
"valuation": null,
"date": "2026-02-11",
"investors": [
{
"id": "ca15812a-d31d-4ea9-92e9-ed95f78a9512",
"name": "BlackRock",
"logo": "https://images.asksurf.ai/FVcS4QxIlGCPEGCCV2sxjnEq5wO-D4j56NnfvJ5dVL0/aHR0cHM6Ly9pbWcuY3J5cHRvcmFuay5pby9mdW5kcy9ibGFja19yb2NrMTY2Njc5ODM2MzY1NS5wbmc",
"is_lead": false,
"type": "FUND"
}
]
},
{
"roundName": "Series B",
"amount": 165000000,
"valuation": 1660000000,
"date": "2022-10-13",
"investors": [
{
"id": "8b7d6ae5-a302-4636-8ecc-0e8428667310",
"name": "Paradigm",
"logo": "https://images.asksurf.ai/pf-SWkvxjZAmP3TxN9w5EW0L6L2psh2dKnuvCru01ME/aHR0cHM6Ly9pbWcuY3J5cHRvcmFuay5pby9mdW5kcy9wYXJhZGlnbSBjYXBpdGFsMTY0ODU2MTY0NDYxNS5wbmc",
"is_lead": false,
"type": "FUND"
},
{
"id": "d32afe99-2877-4874-b916-c8c475287e07",
"name": "Polychain Capital",
"logo": "https://images.asksurf.ai/hV13XVKMciP1tKfUUm975veNzbneCn6PMc1N6qQA0Qg/aHR0cHM6Ly9pbWcuY3J5cHRvcmFuay5pby9mdW5kcy9wb2x5Y2hhaW5fY2FwaXRhbDE2ODAwNzM2ODM2MDkucG5n",
"is_lead": true,
"type": "FUND"
},
{
"id": "fa0f7a71-94de-419a-b36c-ae82a45478c1",
"name": "Andreessen Horowitz (a16z crypto)",
"logo": "https://images.asksurf.ai/QQuCqF4BwEql10-rZoOXR-4wuuBW8VtktC9sPZrU42o/aHR0cHM6Ly9pbWcuY3J5cHRvcmFuay5pby9mdW5kcy9hbmRyZWVzc2VuX2hvcm93aXR6X2FfMTZfel9jcnlwdG8...",
"is_lead": false,
"type": "FUND"
}
]
}
],
"chains": [
"Arbitrum One",
"Avalanche"
],
"totalRaisedUsd": 176000000,
"contracts": [],
"priceUsd": 6.94,
"website": "https://app.uniswap.org/",
"query": "uniswap",
"xFollowers": 1490237
}
]
}
Related APIs
For the largest holders of its token usecrypto/token-holders; for news about it use crypto/news; for exchange listings use crypto/exchange-listings.